VirtualBox

Changeset 32639 in vbox


Ignore:
Timestamp:
Sep 20, 2010 1:08:48 PM (14 years ago)
Author:
vboxsync
svn:sync-xref-src-repo-rev:
66046
Message:

Solaris/Installer: Remote installation fix. Make package non-relocatable and use PKG_INSTALL_ROOT.

Location:
trunk/src/VBox/Installer/solaris
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/VBox/Installer/solaris/checkinstall.sh

    r32581 r32639  
    3535
    3636# nothing to check for targetted install
    37 if test "x${BASEDIR}" != "x/"; then
     37if test "x$PKG_INSTALL_ROOT" != "x/"; then
    3838    exit 0
    3939fi
  • trunk/src/VBox/Installer/solaris/makepackage.sh

    r32388 r32639  
    212212mv -f prototype2 prototype
    213213
     214# Our package is a non-relocatable package. pkgadd will take care of "relocating" them when they are used for
     215# remote installations using $PKG_INSTALL_ROOT and not $BASEDIR. Seems this little subtlety led to it's own page:
     216# http://docs.sun.com/app/docs/doc/820-4042/package-2?a=view
     217filelist_fixup prototype  '$2 == "none"'                              '$3="/"$3'
     218filelist_fixup prototype  '$2 == "manifest"'                          '$3="/"$3'
     219symlink_fixup  prototype  '$2 == "none"'                              '$3="/"$3'
     220hardlink_fixup prototype  '$2 == "none"'                              '$3="/"$3'
     221
    214222echo " --- start of prototype  ---"
    215223cat prototype
  • trunk/src/VBox/Installer/solaris/pkginstall.sh

    r32388 r32639  
    3030fi
    3131
    32 ${BASEDIR}/opt/VirtualBox/vboxconfig.sh --preremove --fatal "$ISIPS"
     32# If PKG_INSTALL_ROOT is undefined or NULL, redefine to '/' and carry on.
     33${PKG_INSTALL_ROOT:=/}/opt/VirtualBox/vboxconfig.sh --preremove --fatal "$ISIPS"
    3334
    3435if test "$?" -eq 0; then
    3536    echo "Installing new ones..."
    36     ${BASEDIR}/opt/VirtualBox/vboxconfig.sh --postinstall
     37    $PKG_INSTALL_ROOT/opt/VirtualBox/vboxconfig.sh --postinstall
    3738    rc=$?
    3839    if test "$rc" -ne 0; then
    39         echo "Completed but with errors."
     40        echo 1>&2 "## Completed but with errors."
    4041        rc=1
    4142    else
     
    4546    fi
    4647else
    47     echo "## ERROR!! Failed to remove older/partially installed bits."
     48    echo 1>&2 "## ERROR!! Failed to remove older/partially installed bits."
    4849    rc=1
    4950fi
  • trunk/src/VBox/Installer/solaris/postinstall.sh

    r32388 r32639  
    1919currentzone=`zonename`
    2020if test "$currentzone" = "global"; then
    21     ${BASEDIR}/opt/VirtualBox/pkginstall.sh --srv4
     21    ${PKG_INSTALL_ROOT:=/}/opt/VirtualBox/pkginstall.sh --srv4
    2222    rc=$?
    2323fi
  • trunk/src/VBox/Installer/solaris/preremove.sh

    r32388 r32639  
    1717if test "$currentzone" = "global"; then
    1818    echo "Removing VirtualBox services and drivers..."
    19     ${BASEDIR}/opt/VirtualBox/vboxconfig.sh --preremove
     19    ${PKG_INSTALL_ROOT:=/}/opt/VirtualBox/vboxconfig.sh --preremove
    2020    if test "$?" -eq 0; then
    2121        echo "Done."
    2222        exit 0
    2323    fi
    24     echo "Failed."
     24    echo 1>&2 "## Failed."
    2525    exit 1
    2626fi
Note: See TracChangeset for help on using the changeset viewer.

© 2025 Oracle Support Privacy / Do Not Sell My Info Terms of Use Trademark Policy Automated Access Etiquette